al_load_sample_f(3)

NAME

al_load_sample_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    ALLEGRO_SAMPLE *al_load_sample_f(ALLEGRO_FILE* fp, const char *ident)

DESCRIPTION

Loads an audio file from an ALLEGRO_FILE(3) stream into an ALLEGRO_SAMPLE(3). The file type is determined by the passed 'ident' parameter, which is a file name extension including the leading dot.

Note that this stores the entire file in memory at once, which may be time consuming. To read the file as it is needed, use al_load_audio_stream_f(3).

Returns the sample on success, NULL on failure. The file remains open afterwards.

    Note: the allegro_audio library does not support any audio file formats by default. You must use the allegro_acodec addon, or register your own format handler.

SEE ALSO

al_register_sample_loader_f(3), al_init_acodec_addon(3)